%{?nodejs_find_provides_and_requires}

%global enable_tests 0

%global installdir  %{_jsdir}/underscore

Name:       nodejs-underscore
Version:    1.8.3
Release:    %mkrel 1
Summary:    JavaScript's functional programming helper library
License:    MIT
Group:      System/Libraries
URL:        https://github.com/documentcloud/underscore
Source0:    http://registry.npmjs.org/underscore/-/underscore-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.sh

BuildArch:  noarch
BuildRequires:  web-assets-devel
BuildRequires:  nodejs-packaging
BuildRequires:  uglify-js

%if 0%{?enable_tests}
BuildRequires:  npm(phantomjs)
%endif

%description
Underscore.js is a utility-belt library for JavaScript that provides support
for the usual functional suspects (each, map, reduce, filter...) without
extending any core JavaScript objects.

%package -n js-underscore
Summary:    JavaScript's functional programming helper library
Group:      System/Libraries
Requires:   web-assets-filesystem

%description -n js-underscore
Underscore.js is a utility-belt library for JavaScript that provides support
for the usual functional suspects (each, map, reduce, filter...) without
extending any core JavaScript objects.

%prep
%setup -q -n package
%setup -T -D -a 1 -q -n package
rm -f underscore-min.*


%build
/usr/bin/uglifyjs underscore.js -m --source-map underscore-min.map \
    -o underscore-min.js


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/underscore
cp -pr package.json underscore.js underscore-min.js underscore-min.map \
    %{buildroot}%{nodejs_sitelib}/underscore

# Install browser version
mkdir -p %{buildroot}%{installdir}
cp -pr underscore.js underscore-min.js underscore-min.map \
    %{buildroot}%{installdir}

# No dependencies.
# %%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/phantomjs/bin/phantomjs \
    test/vendor/runner.js test/index.html?noglobals=true
%endif


%files
%doc LICENSE README.md
%{nodejs_sitelib}/underscore

%files -n js-underscore
%doc LICENSE README.md
%{installdir}




%changelog
* Sun Nov 15 2015 tv <tv> 1.8.3-1.mga6
+ Revision: 903181
- new release

* Wed Oct 29 2014 tv <tv> 1.6.0-1.mga5
+ Revision: 794529
- imported package nodejs-underscore

